dbXML API

## com.dbxml.db.enterprise.jsp
Class IteratorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.dbxml.db.enterprise.jsp.IteratorTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class IteratorTag
extends javax.servlet.jsp.tagext.BodyTagSupport

IteratorTag iterates over a specified QueryTag's ResultSet.
Example:

       <dbxml:iterator query="myQuery" text="true">
          <resValue>
             <%= result %>
          </resValue>
       </dbxml:iterator>

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`IteratorTag()`

Method Summary
`int` `doAfterBody()`
`int` `doStartTag()`
`java.lang.String` `getQuery()`
`boolean` `isText()`
`void` `setQuery(java.lang.String query)`
`void` `setText(boolean text)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### IteratorTag

    public IteratorTag()

Method Detail

### getQuery

    public java.lang.String getQuery()

### setQuery

    public void setQuery(java.lang.String query)

### isText

    public boolean isText()

### setText

    public void setText(boolean text)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

dbXML API

Copyright (c) 2004 The dbXML Group